<?php
/*
Plugin Name: jigoshop_categories_nf
Plugin URI: http://www.it-in-a-box.com/
Description: verndert die Anzeige der Kategorien im jigoshop widget
Author: Norbert Felgendreher
Version: 1.0
Author URI: http://www.it-in-a-box.com/ 
*/

if ( !function_exists('add_action') ) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

if ( !class_exists('jigoshop_categories_nf') ) {   
  
    class jigoshop_categories_nf{   
         
			
   
        /* Constructor  */  
        function jigoshop_categories_nf() {   
			add_action('wp_print_scripts', array (&$this,'subcats_visible_scripts'));
			add_filter('widget_product_categories_args', array(&$this,'my_jigoshop_categories_filter'),10);
        }
		
		function subcats_visible_scripts() {
			wp_register_script('subcats_visible', WP_PLUGIN_URL.'/jigoshop_categories_nf/js/subcats_visible.js', array('jquery'),false,true);
			wp_enqueue_script('subcats_visible');		
		}
		function my_jigoshop_categories_filter($args) {
			
			/*$args['show_count'] = 1;*/
			/*$args['hierarchical'] = 1;*/
			/*$args['hide_empty']=0;*/
			/*$args['walker']= new NF_Walker_Category;*/
			/*$args['taxonomy'] = 'product_cat';*/
			/*$args['exclude'] = array(44,43);*/
			return $args;
		
		}
	}
	$jigoshop_categories_nf= new jigoshop_categories_nf;
 }  
		class NF_Walker_Category extends Walker_Category {
		/**
		* @see Walker::$tree_type
		* @since 2.1.0
		* @var string
		*/
		var $tree_type = 'category';

		/**
		* @see Walker::$db_fields
		* @since 2.1.0
		* @todo Decouple this
		* @var array
		*/
		var $db_fields = array ('parent' => 'parent', 'id' => 'term_id');

		function start_lvl( &$output, $depth = 0, $args = array() ) {
			if ( 'list' != $args['style'] )
				return;

			$indent = str_repeat("\t", $depth);
			if ($depth==0) {$output .= "$indent<ul class='children' style='display:none'>\n";}
			else {
			$output .= "$indent<ul class='children'>\n";
			}
		}
		
	

}



?>